function [erg] = encryptmatrix(text,matrix)

if (nargin<1) 
    fprintf('keine Eingabe');
    erg = [];
    return 
end

if (nargin<2 || isempty(matrix) || sum(size(matrix) ~= size(matrix'))>0 || det(matrix)==0 )
    matrix = [3 1 4 5; 2 1 1 5; 8 -2 3 -4; -2 -1 -2 -9];
    fprintf('encryption matrix is '); matrix
end

% Buchstaben in Zahlen umrechnen
alphabet = ['a' : 'z',' ', 'A' : 'Z', '0' : '9', '.', ',', ';', '-']
zahlen = [1 : 67];

[m n] = size(text);
erg = zeros(1,n);

for k = 1:67
    erg = erg + zahlen(k)* (text == alphabet(k));  
end

[k l] = size(matrix);

if (mod(n,l) ~= 0) 
    erg = [erg zeros(1,l-mod(n,k))];
    [m n] = size(erg);
end

for i=1:l:n-l+1
    erg(i:i+l-1) = matrix * erg(i:i+l-1)';
end




